public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Justin Lecher" <jlec@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-cola/
Date: Wed, 11 Nov 2015 09:02:03 +0000 (UTC)	[thread overview]
Message-ID: <1447232520.28ebe8ba57a4be877828fe5d01cc29b80fc10fff.jlec@gentoo> (raw)

commit:     28ebe8ba57a4be877828fe5d01cc29b80fc10fff
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 11 08:52:01 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Nov 11 09:02:00 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=28ebe8ba

dev-vcs/git-cola: Version Bump

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 dev-vcs/git-cola/Manifest            |  1 +
 dev-vcs/git-cola/git-cola-2.4.ebuild | 97 ++++++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-vcs/git-cola/Manifest b/dev-vcs/git-cola/Manifest
index 00611fa..c27708f 100644
--- a/dev-vcs/git-cola/Manifest
+++ b/dev-vcs/git-cola/Manifest
@@ -1,2 +1,3 @@
 DIST git-cola-2.2.1.tar.gz 996484 SHA256 df0a3e1d3c49629926f2e30f55d635eca3c8da12e96232196b307613fa4b3aec SHA512 a91fe706ea150d9bd9a05a9d494c63d373cae0154deca8e40e30fc20e70be32d4fd1f021a971c067d46ab24f472965a12c115eeb4bd94e4f62c21e546d89c109 WHIRLPOOL ac68a558775bc5fdf3a168416132dedbeffe554f6f60f50b7e33f0d17d67aa829318b7a0df2607b47e41b8823d60e206e0544e03382eae7651b9ca1c3b9dfc09
 DIST git-cola-2.3.tar.gz 1005858 SHA256 3319810c16f6864deb5f94f533c7cfd17f30961595454da7c3c75879f56511b3 SHA512 2be0e971cd23aa0a1f8ec92ffd05f64cdd0ee34fb1e3c9bd3a98df0556968e9613d6494002e973db8de8ab389c48205ab1db42823d46e523c24a029cf25e3023 WHIRLPOOL 177996e40cc83dd2d2fe9db1ac97ba318d9d311779415e8e4327f3824a7c19f36f592ed1d6118e5a2d46a594a8dd681d0a2e2e54f2846c3636d9f4f3d8f196f5
+DIST git-cola-2.4.tar.gz 987829 SHA256 ef735431a2e58bac7671c4b9ab4fbb369195b16987fe9d3d931a9097c06c7f36 SHA512 702d5c7322a21e5807354d3b3b7b31fd5cef3c12c3294e2ad57add99f586277d4805e85122682acde40e6243529588e62762f9483d807ed12340057c6a37a0cc WHIRLPOOL de95800c0d8f67d301a102a8f623945170ca5961cde91fdabf2dd396f2470e52e8b51dde1f65b5aed408ebc3cd6802426c7bd3b9cd86db53b2965067d2646f47

diff --git a/dev-vcs/git-cola/git-cola-2.4.ebuild b/dev-vcs/git-cola/git-cola-2.4.ebuild
new file mode 100644
index 0000000..6ac0dca
--- /dev/null
+++ b/dev-vcs/git-cola/git-cola-2.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 python3_{3,4} )
+DISTUTILS_SINGLE_IMPL=true
+
+inherit distutils-r1 readme.gentoo virtualx
+
+DESCRIPTION="The highly caffeinated git GUI"
+HOMEPAGE="https://git-cola.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+RDEPEND="
+	dev-python/pyinotify[${PYTHON_USEDEP}]
+	dev-python/send2trash[${PYTHON_USEDEP}]
+	dev-python/PyQt4[${PYTHON_USEDEP}]
+	dev-vcs/git"
+DEPEND="${RDEPEND}
+	sys-devel/gettext
+	doc? (
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		python_targets_python2_7? ( dev-python/sphinxtogithub[$(python_gen_usedep 'python2*')] )
+		)
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.2.1-disable-live-tests.patch
+)
+
+python_prepare_all() {
+	rm share/git-cola/bin/*askpass* || die
+
+	# remove broken tests
+	rm test/i18n_test.py || die
+
+	# don't install docs into wrong location
+	sed -i -e '/doc/d' setup.py || die
+
+	# fix doc directory reference
+	sed -i \
+		-e "s/'doc', 'git-cola'/'doc', '${PF}'/" \
+		cola/resources.py || die
+
+	# fix ssh-askpass directory reference
+	sed -i -e 's/resources\.share/resources\.prefix/' cola/app.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	cd share/doc/${PN}/ || die
+	if use doc; then
+		emake all
+	else
+		sed \
+			-e '/^install:/s:install-html::g' \
+			-e '/^install:/s:install-man::g' \
+			-i Makefile || die
+	fi
+}
+
+python_test() {
+	PYTHONPATH="${S}:${S}/build/lib:${PYTHONPATH}" LC_ALL="C" \
+	VIRTUALX_COMMAND="nosetests --verbose --with-id --with-doctest \
+		--exclude=sphinxtogithub" \
+	virtualmake
+}
+
+src_install() {
+	distutils-r1_src_install
+}
+
+python_install_all() {
+	cd share/doc/${PN}/ || die
+	emake \
+		DESTDIR="${D}" \
+		docdir="${EPREFIX}/usr/share/doc/${PF}" \
+		prefix="${EPREFIX}/usr" \
+		install
+
+	python_fix_shebang "${ED}/usr/share/git-cola/bin/git-xbase" "${ED}"/usr/bin/git-cola
+	python_optimize "${ED}/usr/share/git-cola/lib/cola"
+
+	use doc || HTML_DOCS=( "${FILESDIR}"/index.html )
+
+	distutils-r1_python_install_all
+	readme.gentoo_create_doc
+}


             reply	other threads:[~2015-11-11  9:02 UTC|newest]

Thread overview: 72+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2015-11-11  9:02 Justin Lecher [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-21 19:03 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-cola/ Sam James
2025-03-21 18:53 Sam James
2025-02-28  7:14 Arthur Zamarin
2025-02-28  7:14 Arthur Zamarin
2025-02-14 20:48 Jakov Smolić
2025-02-14 20:48 Jakov Smolić
2025-02-08  2:05 Yixun Lan
2025-01-08 17:03 Andreas Sturmlechner
2025-01-08 17:03 Andreas Sturmlechner
2024-12-11  0:51 Yixun Lan
2024-11-25 20:07 Sam James
2024-11-25 14:09 Sam James
2024-10-02 18:10 Andreas Sturmlechner
2024-10-02 18:10 Andreas Sturmlechner
2024-10-01 18:32 Andreas Sturmlechner
2024-10-01 18:32 Andreas Sturmlechner
2024-10-01 18:32 Andreas Sturmlechner
2024-04-23  6:38 Joonas Niilola
2024-04-23  1:31 Sam James
2024-01-28 10:22 Yixun Lan
2023-12-23 17:38 Sam James
2023-12-23 17:31 Sam James
2023-12-23 17:31 Sam James
2023-12-23 17:31 Sam James
2023-08-27 15:23 Arthur Zamarin
2023-07-24 21:02 Sam James
2023-07-24 14:18 Arthur Zamarin
2023-04-20 12:22 Joonas Niilola
2023-04-19  9:33 Arthur Zamarin
2023-04-15 12:23 Joonas Niilola
2023-04-15 12:23 Joonas Niilola
2023-01-25 17:41 Joonas Niilola
2023-01-25 17:41 Joonas Niilola
2022-11-22 13:55 Joonas Niilola
2022-10-11 13:36 Joonas Niilola
2022-10-11 13:36 Joonas Niilola
2022-09-08  7:26 Agostino Sarubbo
2022-09-07  1:50 Sam James
2022-07-02 17:35 Joonas Niilola
2022-07-02 17:35 Joonas Niilola
2022-04-25 10:30 Joonas Niilola
2022-04-25  9:12 Joonas Niilola
2022-01-29  6:20 Sam James
2022-01-29  6:20 Sam James
2022-01-24 22:14 Michał Górny
2022-01-24 22:14 Michał Górny
2021-12-07  6:26 Agostino Sarubbo
2021-12-05  5:18 Sam James
2021-11-22 14:03 Joonas Niilola
2021-09-21  7:03 Joonas Niilola
2021-09-21  7:03 Joonas Niilola
2021-09-21  7:03 Joonas Niilola
2021-03-05 18:36 Joonas Niilola
2021-02-25  8:19 Sam James
2021-02-24 20:35 Sam James
2020-12-21 19:58 Sam James
2020-12-18  6:55 Joonas Niilola
2020-12-07  9:25 Joonas Niilola
2020-12-07  9:25 Joonas Niilola
2020-12-07  9:25 Joonas Niilola
2020-03-22 14:07 Agostino Sarubbo
2020-03-14 19:46 Agostino Sarubbo
2020-01-21 19:46 Andreas Sturmlechner
2020-01-16  6:05 Michał Górny
2018-11-20  7:43 Tiziano Müller
2018-06-26 19:04 Pacho Ramos
2017-09-25 14:10 Pacho Ramos
2016-12-25 23:48 Manuel Rüger
2016-01-10 11:56 Manuel Rüger
2015-09-19 13:30 Agostino Sarubbo
2015-09-14 12:49 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1447232520.28ebe8ba57a4be877828fe5d01cc29b80fc10fff.jlec@gentoo \
    --to=jlec@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox